LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Data Fields | Related Functions
SUPoint3D Struct Reference

Represents a point in 3-dimensional space. The coordinates are represented in inches. More...

`#include <geometry.h>`

## Data Fields
double | x
| X coordinate. More...
double | y
| Y coordinate. More...
double | z
| Z coordinate. More...

## Related Functions
(Note that these are not member functions.)
SU_RESULT | SUPoint3DGetEqual (const struct SUPoint3D *point1, const struct SUPoint3D *point2, bool *equal)
| Determines if two points are equal. More...
SU_RESULT | SUPoint3DLessThan (const struct SUPoint3D *point1, const struct SUPoint3D *point2, bool *less_than)
| Determines if point1 is less than point2. More...
SU_RESULT | SUPoint3DOffset (const struct SUPoint3D *point1, const struct SUVector3D *vector, struct SUPoint3D *point2)
| Creates a new point that is offset from another point. More...
SU_RESULT | SUPoint3DDistanceToSUPoint3D (const struct SUPoint3D *point1, const struct SUPoint3D *point2, double *distance)
| Gets the distance between two point objects, in inches. More...
SU_RESULT | SUPoint3DTransform (const struct SUTransformation *transform, struct SUPoint3D *point)
| Transforms the provided 3D point by applying the provided 3D transformation. More...

## Detailed Description

Represents a point in 3-dimensional space. The coordinates are represented in inches.

## Friends And Related Function Documentation

SU_RESULT SUPoint3DDistanceToSUPoint3D | ( | const struct SUPoint3D * | point1,
|  | const struct SUPoint3D * | point2,
|  | double * | distance
| ) |  |
| related

Gets the distance between two point objects, in inches.

Since
  SketchUp 2018 M0, API 6.0

Parameters

  [in] | point1 | The first point object.
  [in] | point2 | The second point object.
  [out] | distance | The distance between the two points, in inches.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if point1 or point2 is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if distance is NULL

SU_RESULT SUPoint3DGetEqual | ( | const struct SUPoint3D * | point1,
|  | const struct SUPoint3D * | point2,
|  | bool * | equal
| ) |  |
| related

Determines if two points are equal.

Since
  SketchUp 2018 M0, API 6.0

Parameters

  [in] | point1 | The first point object.
  [in] | point2 | The second point object.
  [out] | equal | Whether the two points are the same.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if point1 or point2 is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if equal is NULL

SU_RESULT SUPoint3DLessThan | ( | const struct SUPoint3D * | point1,
|  | const struct SUPoint3D * | point2,
|  | bool * | less_than
| ) |  |
| related

Determines if point1 is less than point2.

Since
  SketchUp 2018 M0, API 6.0

Parameters

  [in] | point1 | The first point object.
  [in] | point2 | The second point object.
  [out] | less_than | Whether point1 is less than point2.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if point1 or point2 is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if less_than is NULL

SU_RESULT SUPoint3DOffset | ( | const struct SUPoint3D * | point1,
|  | const struct SUVector3D * | vector,
|  | struct SUPoint3D * | point2
| ) |  |
| related

Creates a new point that is offset from another point.

Since
  SketchUp 2018 M0, API 6.0

Parameters

  [in] | point1 | The point object.
  [in] | vector | The offset vector object.
  [out] | point2 | The new point.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if point1 or vector is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if point2 is NULL

SU_RESULT SUPoint3DTransform | ( | const struct SUTransformation * | transform,
|  | struct SUPoint3D * | point
| ) |  |
| related

Transforms the provided 3D point by applying the provided 3D transformation.

Since
  SketchUp 2016, API 4.0

Parameters

  [in] | transform | The transformation to be applied.
  [in,out] | point | The point to be transformed.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if transform is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if point is NULL

## Field Documentation

double SUPoint3D::x

X coordinate.

double SUPoint3D::y

Y coordinate.

double SUPoint3D::z

Z coordinate.

The documentation for this struct was generated from the following files:

- SketchUpAPI/geometry.h
- SketchUpAPI/geometry/point3d.h